commit c310b6649c4ff9929d4d26ff965b88cbe915dd6c
Author: Marti Raudsepp <marti@juffo.org>
Date:   Wed Feb 12 22:26:26 2014 +0200

    fix cost_sort for partial sorts in initial_cost_mergejoin

diff --git a/src/backend/optimizer/path/costsize.c b/src/backend/optimizer/path/costsize.c
index 0e60fd7..c289924 100644
--- a/src/backend/optimizer/path/costsize.c
+++ b/src/backend/optimizer/path/costsize.c
@@ -2083,7 +2083,7 @@ initial_cost_mergejoin(PlannerInfo *root, JoinCostWorkspace *workspace,
 		cost_sort(&sort_path,
 				  root,
 				  outersortkeys,
-				  pathkeys_common(outer_path->pathkeys, outersortkeys),
+				  0,
 				  outer_path->startup_cost,
 				  outer_path->total_cost,
 				  outer_path_rows,
@@ -2111,7 +2111,7 @@ initial_cost_mergejoin(PlannerInfo *root, JoinCostWorkspace *workspace,
 		cost_sort(&sort_path,
 				  root,
 				  innersortkeys,
-				  pathkeys_common(inner_path->pathkeys, innersortkeys),
+				  0,
 				  inner_path->startup_cost,
 				  inner_path->total_cost,
 				  inner_path_rows,
